package cn.gtmap.estateplat.config.core.mapper.sjgl;/*
 * @author <a href="mailto:huangzijian@gtmap.cn">huangzijian</a>
 * @version 1.0, 2017/11/22
 * @description 
 */

import cn.gtmap.estateplat.model.config.BdcCxBdcdyZt;
import org.springframework.stereotype.Repository;

@Repository
public interface DjsjCxBdcdyZtMapper {

    // 更新权籍的不动产历史状态表
    void updateLsZt(BdcCxBdcdyZt bdcCxBdcdyZt);
    // 更新权籍的不动产现势状态表
    void updateXsZt(BdcCxBdcdyZt bdcCxBdcdyZt);
    //插入现势新数据
    void insertXsZt(BdcCxBdcdyZt bdcCxBdcdyZt);
    //获取现势新数据
    BdcCxBdcdyZt getXsZtByBdcdyh(String bdcdyh);
}
